import request from '@/utils/request'

// 查询外呼记录质检列表
export function listApi(query) {
  return request({
    url: '/callRecord/list',
    method: 'get',
    params: query
  })
}

// 查询外呼记录质检详细
export function getApi(id) {
  return request({
    url: '/callRecord/' + id,
    method: 'get'
  })
}

// 新增外呼记录质检
export function addApi(data) {
  return request({
    url: '/callRecord',
    method: 'post',
    data: data
  })
}

// 修改外呼记录质检
export function updateApi(data) {
  return request({
    url: '/callRecord',
    method: 'put',
    data: data
  })
}

// 删除外呼记录质检
export function delApi(id) {
  return request({
    url: '/callRecord/' + id,
    method: 'delete'
  })
}

// 导出外呼记录质检
export function exportApi(query) {
  return request({
    url: '/callRecord/export',
    method: 'post',
    params: query
  })
}
